@import url('https://fonts.googleapis.com/css2?family=Lexend+Giga:wght@100..900&family=Poppins:ital,wght@0,100;0,200;0,300;0,400;0,500;0,600;0,700;0,800;0,900;1,100;1,200;1,300;1,400;1,500;1,600;1,700;1,800;1,900&family=Rubik:ital,wght@0,300..900;1,300..900&family=Ubuntu:ital,wght@0,300;0,400;0,500;0,700;1,300;1,400;1,500;1,700&display=swap');

:root{
	--font1: 'Poppins';
	--font2: 'Rubik';
	--font3: 'Ubuntu';
	--font4: 'Lexend Giga';

	--color1: #131c25;
	--color2: #eee;
	--color3: #3c82d7;
	--color4: #538cd1;
}

*{
	margin: 0;
	padding: 0;
	box-sizing: border-box;
	text-decoration: none;
	list-style: none;
	outline: none;
}

html{
	font-size: 62.5%;
	/* border: 1px solid red; */
}

body{
	font-family: var(--font1), Arial, Helvetica, sans-serif;
	background: var(--color2);
	background-size: cover;
	background-position: right;
	background-blend-mode: multiply;
}

img{
	display: block;
	width: 10rem;
}

h1{
	font-size: 2rem;
	font-weight: 500;
	opacity: .8;
}

h2{
	font-size: 2rem;
	font-weight: 500;
	opacity: .8;
}
.section{
	text-align: center;
	padding: 1.5rem 1rem;
}


/* HEADER */
header{
	position: relative;
	width: 100%;
	background: rgba(0, 0, 0, 5);
	background-size: cover;
	background-blend-mode: multiply;
}

.hero {
	display: block;
	width: 100%;
	height: 80vh;
	margin: 0 auto;
}

.logo-wrapper {
	position: absolute;
	bottom: 0;
	left: 50%;
	transform: translate(-50%, 60%);
	text-align: center;
}

.logo {
	width: 12rem;
	border-radius: 50%;
	display: block;
	box-shadow: 0 0 15px var(--color1);
}

.logo-wrapper p{
	font-family: Arial, Helvetica, sans-serif;
	font-size: 1.7rem;
	font-weight: 500;
	margin-top: 1.5rem;
}


/* MAIN CONTAINER */
main {
	display: flex;
	flex-direction: column;
	align-items: center;
	justify-content: center;
	padding: 14rem 1rem 6rem;
}


/* LINKS WRAPPER */
.links {
	width: 100%;
	max-width: 600px;
	display: flex;
	flex-direction: column;
	gap: 1.5rem;
	padding-bottom: 5rem;
}

/* REMOVE DEFAULT LINK STYLE */
.links a {
	text-decoration: none;
}

/* LINK CARD STYLE */
.link {
	width: 100%;
	padding: 1.4rem 2rem;
	border: 2px solid var(--color1);
	border-radius: 15px;
	text-align: center;
	transition: all 0.3s ease;
}

/* TEXT */
.link p {
	margin: 0;
	font-size: 1.6rem;
	font-weight: 500;
	color: var(--color1);
}

/* HOVER EFFECT */
.link:hover {
	background-color: var(--color1);
	transform: scale(1.03);
}

.link:hover p {
	color: var(--color2);
}


/* PRODUCTS */
.products {
	width: 100%;
	display: grid;
	grid-template-columns: repeat(auto-fit, minmax(250px, 1fr));
	gap: 2rem;
	max-width: 1100px;
	margin: 2.5rem auto;
	padding: 0 1rem;
}

.product {
	background: white;
	border-radius: 12px;
	padding: 1rem;
	text-align: center;
	box-shadow: 0 4px 10px rgba(0,0,0,0.08);
	transition: transform 0.3s ease;
}

.product:hover {
	transform: translateY(-3px);
}

.product img {
	width: 100%;
	border-radius: 10px;
	height: 300px;
	object-fit: cover;
	box-shadow: 0 0 5px var(--color1);
}

.store-links {
	display: flex;
	flex-wrap: wrap;
	white-space: nowrap;   /* prevents text breaking */
	flex: 0 0 auto;        /* prevents shrinking */
	min-width: 120px;      /* minimum safe width */
	gap: 0.8rem;
	justify-content: center;
	align-items: center;
	padding: 1.5rem 0 .5rem;
	margin-top: 1.5rem;
}

.store-btn {
	flex: 1 1 30%;
	text-align: center;
	padding: 1rem;
	/* border-radius: 30px; */
	border: 1.5px solid #222;
	text-decoration: none;
	font-size: 1.3rem;
	color: var(--color2);
	background: var(--color1);
	transition: all 0.3s ease;
}

.store-btn:hover {
	background: var(--color2);
	color: var(--color1);
}


/* SOCIALS */
.socials{
	display: flex;
	justify-content: center;
	gap: 5rem;
	background: var(--color1);
	padding: 1.5rem 0 2.5rem;
}
.socials i{
	font-size: 2rem;
	color: var(--color2);
	border-radius: 50%;
	padding: 1rem;
}
.socials i:hover{
	color: var(--color3);
	box-shadow: 0 0 10px var(--color3);
}

.socials .ri-instagram-line:hover{
	color: #ff006e;
	box-shadow: 0 0 10px #ef233c;
}

.socials .ri-youtube-line:hover{
	color: red;
	box-shadow: 0 0 10px red;
}

.socials .ri-spotify-line:hover{
	color: #1db954;
	box-shadow: 0 0 10px #1db954;
}

.socials .ri-tiktok-line:hover{
	color: #00f2ea;
	box-shadow: 0 0 10px #ff0050;
}

.footer-section{
	background: var(--color1);
	color: var(--color2);
}